Results 1 to 4 of 4

Thread: WMA - i can't get it to work

  1. #1
    Join Date
    Apr 2010
    Location
    i am location
    Posts
    1,421

    Default WMA - i can't get it to work

    I don't know. Maybe i am just dump but it seem i can not get wma files
    to play under my Linux.
    I read a lot of posting to do this and that and i tried it all out. I
    think at least.
    But no matter what i do, it still does not play them.

    Here some infos first.
    11.4 x64 using lxde

    Code:
    joerg@linux-26uw:~> rpm --query --all 'libav*' 'libpostproc*'
    'libswscale*' '*xne*' '*gst*' MPlayer '*vlc*' | grep -v avahi | sort
    banshee-1-backend-engine-gstreamer-2.0.0-0.3.2.x86_64
    gstreamer-0_10-0.10.35-1.pm.57.2.x86_64
    gstreamer-0_10-ffmpeg-0.10.11-999.pm.1000.8.x86_64
    gstreamer-0_10-fluendo-mp3-0.10.14-42.pm.43.7.x86_64
    gstreamer-0_10-fluendo-mpegdemux-0.10.57-42.pm.43.7.x86_64
    gstreamer-0_10-fluendo-mpegmux-0.10.4-43.pm.44.6.x86_64
    gstreamer-0_10-lang-0.10.35-1.pm.57.2.noarch
    gstreamer-0_10-libnice-0.1.0-0.pm.2.21.x86_64
    gstreamer-0_10-plugin-gnomevfs-0.10.35-4.pm.55.1.x86_64
    gstreamer-0_10-plugin-gnonlin-0.10.17-5.1.x86_64
    gstreamer-0_10-plugins-bad-0.10.22-1.pm.131.7.x86_64
    gstreamer-0_10-plugins-bad-lang-0.10.22-1.pm.131.7.noarch
    gstreamer-0_10-plugins-bad-orig-addon-0.10.22-1.pm.131.7.x86_64
    gstreamer-0_10-plugins-base-0.10.35-4.pm.55.1.x86_64
    gstreamer-0_10-plugins-base-lang-0.10.35-4.pm.55.1.noarch
    gstreamer-0_10-plugins-good-0.10.30-2.pm.56.1.x86_64
    gstreamer-0_10-plugins-good-extra-0.10.30-2.pm.56.1.x86_64
    gstreamer-0_10-plugins-good-lang-0.10.30-2.pm.56.1.noarch
    gstreamer-0_10-plugins-ugly-0.10.18-1.pm.27.6.x86_64
    gstreamer-0_10-plugins-ugly-lang-0.10.18-1.pm.27.6.noarch
    gstreamer-0_10-plugins-ugly-orig-addon-0.10.18-1.pm.27.6.x86_64
    gstreamer-0_10-utils-0.10.35-1.pm.57.2.x86_64
    gstreamer-utils-0.10.35-1.pm.57.2.x86_64
    libavc1394-0-0.5.4-2.1.x86_64
    libavcodec52-0.7.2-0.pm.1.2.x86_64
    libavcodec53-0.8.1-0.pm.1.2.x86_64
    libavdevice52-0.7.2-0.pm.1.2.x86_64
    libavdevice53-0.8.1-0.pm.1.2.x86_64
    libavfilter2-0.8.1-0.pm.1.2.x86_64
    libavformat52-0.7.2-0.pm.1.2.x86_64
    libavformat53-0.8.1-0.pm.1.2.x86_64
    libavutil50-0.7.2-0.pm.1.2.x86_64
    libavutil51-0.8.1-0.pm.1.2.x86_64
    libgstapp-0_10-0-0.10.35-4.pm.55.1.x86_64
    libgstapp-0_10-0-32bit-0.10.35-4.pm.55.1.x86_64
    libgstbasecamerabinsrc-0_10-0-0.10.22-1.pm.131.7.x86_64
    libgstbasevideo-0_10-0-0.10.22-1.pm.131.7.x86_64
    libgstfarsight-0_10-0-0.0.22-4.1.x86_64
    libgstinterfaces-0_10-0-0.10.35-4.pm.55.1.x86_64
    libgstphotography-0_10-0-0.10.22-1.pm.131.7.x86_64
    libgstreamer-0_10-0-0.10.35-1.pm.57.2.x86_64
    libgstreamer-0_10-0-32bit-0.10.35-1.pm.57.2.x86_64
    libgstsignalprocessor-0_10-0-0.10.22-1.pm.131.7.x86_64
    libgstvdp-0_10-0-0.10.22-1.pm.131.7.x86_64
    libpostproc51-0.8.1-0.pm.1.2.x86_64
    libswscale0-0.7.2-0.pm.1.2.x86_64
    libswscale2-0.8.1-0.pm.1.2.x86_64
    libvlc5-1.1.11-1.pm.5.3.x86_64
    libvlccore4-1.1.11-1.pm.5.3.x86_64
    libxine1-1.1.19-7.pm.50.8.x86_64
    libxine1-codecs-1.1.19-7.pm.50.8.x86_64
    libxine1-gnome-vfs-1.1.19-7.pm.50.8.x86_64
    libxine1-pulse-1.1.19-7.pm.50.8.x86_64
    MPlayer-1.0rc4_r33996-1.pm.1.1.x86_64
    PackageKit-gstreamer-plugin-0.6.14-0.2.1.x86_64
    phonon-backend-vlc-0.3.2-1.pm.6.1.x86_64
    python-gstreamer-0_10-0.10.19-999.pm.1000.5.x86_64
    vlc-1.1.11-1.pm.5.3.x86_64
    vlc-noX-1.1.11-1.pm.5.3.x86_64
    vlc-qt-1.1.11-1.pm.5.3.x86_64
    xinetd-2.3.14-152.1.x86_64
    xine-ui-0.99.6-1.pm.2.3.x86_64
    Code:
    #  | Alias                            | Name
    | Enabled | Refresh
    ---+----------------------------------+----------------------------------+---------+--------
    1 | Packman Repository               | packman
    | Yes     | Yes
    2 | Updates-for-openSUSE-11.4-11.4-0 | Updates for openSUSE 11.4
    11.4-0 | Yes     | Yes
    3 | X11:lxde                         | X11:lxde
    | Yes     | Yes
    4 | graphics                         | graphics
    | Yes     | Yes
    5 | libdvdcss                        | DVD Repository
    | Yes     | No
    6 | mozilla                          | mozilla
    | Yes     | Yes
    7 | nVidia Graphics Drivers          | nVidia Graphics Drivers
    | Yes     | Yes
    8 | openSUSE-11.4-11.4-0             | openSUSE-11.4-11.4-0
    | Yes     | No
    9 | openSUSE:11.4:Contrib            | openSUSE:11.4:Contrib
    | Yes     | Yes
    10 | repo-debug                       | openSUSE-11.4-Debug
    | No      | Yes
    11 | repo-debug-update                | openSUSE-11.4-Update-Debug
    | No      | Yes
    12 | repo-non-oss                     | openSUSE-11.4-Non-Oss
    | Yes     | Yes
    13 | repo-oss                         | openSUSE-11.4-Oss
    | Yes     | Yes
    14 | repo-source                      | openSUSE-11.4-Source
    | No      | Yes
    15 | subpixel                         | subpixel
    | Yes     | Yes
    I think its not a codec but a streamer pack thats needed. I might
    perhaps get fluendo to make it easier for me in the future.
    Well, if someone knows a tip or solution i am thankful for that. It
    drove me crazy yesterday. Uggh.
    --
    Euer Komputerfriek Joerg
    using LXDE on 11.4 x64 and happy with a cup of real hot coffee....
    http://mzl.la/o4n9Yw

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,677
    Blog Entries
    15

    Default Re: WMA - i can't get it to work

    Hi
    You use gst-inspect... I run fluendo codec bundle;
    Code:
    gst-inspect |grep wma
    fluwma:  fluwmadec: Fluendo WMA Decoder (STD + PRO + LSL + WMS)
    fluwma:  fluwmsdec: Fluendo WMS Decoder
    typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Apr 2010
    Location
    i am location
    Posts
    1,421

    Default Re: WMA - i can't get it to work

    On 08/21/2011 10:46 AM, malcolmlewis wrote:
    >
    > Hi
    > You use gst-inspect... I run fluendo codec bundle;
    >
    > Code:
    > --------------------
    >
    > gst-inspect |grep wma
    > fluwma: fluwmadec: Fluendo WMA Decoder (STD + PRO + LSL + WMS)
    > fluwma: fluwmsdec: Fluendo WMS Decoder
    > typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
    >
    > --------------------
    >
    >


    Mm.. ok, here is mine.

    Code:
    joerg@linux-26uw:~> gst-inspect |grep wma
    typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
    ffmpeg:  ffenc_wmav1: FFmpeg Windows Media Audio 1 encoder
    ffmpeg:  ffenc_wmav2: FFmpeg Windows Media Audio 2 encoder
    ffmpeg:  ffdec_wmapro: FFmpeg Windows Media Audio 9 Professional decoder
    ffmpeg:  ffdec_wmav1: FFmpeg Windows Media Audio 1 decoder
    ffmpeg:  ffdec_wmav2: FFmpeg Windows Media Audio 2 decoder
    ffmpeg:  ffdec_wmavoice: FFmpeg Windows Media Audio Voice decoder
    so why does it not work. I tried to play these files with every
    application but it seems not to work.
    It doesn't happen very often that i have these wma files, but i feel
    like that i will not get them to work.
    I assume that you use the paid bundle.

    --
    Euer Komputerfriek Joerg
    using LXDE on 11.4 x64 and happy with a cup of real hot coffee....
    http://mzl.la/o4n9Yw

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,677
    Blog Entries
    15

    Default Re: WMA - i can't get it to work

    Quote Originally Posted by JoergJaeger View Post
    On 08/21/2011 10:46 AM, malcolmlewis wrote:
    >
    > Hi
    > You use gst-inspect... I run fluendo codec bundle;
    >
    > Code:
    > --------------------
    >
    > gst-inspect |grep wma
    > fluwma: fluwmadec: Fluendo WMA Decoder (STD + PRO + LSL + WMS)
    > fluwma: fluwmsdec: Fluendo WMS Decoder
    > typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
    >
    > --------------------
    >
    >


    Mm.. ok, here is mine.

    Code:
    joerg@linux-26uw:~> gst-inspect |grep wma
    typefindfunctions: video/x-ms-asf: asf, wm, wma, wmv
    ffmpeg:  ffenc_wmav1: FFmpeg Windows Media Audio 1 encoder
    ffmpeg:  ffenc_wmav2: FFmpeg Windows Media Audio 2 encoder
    ffmpeg:  ffdec_wmapro: FFmpeg Windows Media Audio 9 Professional decoder
    ffmpeg:  ffdec_wmav1: FFmpeg Windows Media Audio 1 decoder
    ffmpeg:  ffdec_wmav2: FFmpeg Windows Media Audio 2 decoder
    ffmpeg:  ffdec_wmavoice: FFmpeg Windows Media Audio Voice decoder
    so why does it not work. I tried to play these files with every
    application but it seems not to work.
    It doesn't happen very often that i have these wma files, but i feel
    like that i will not get them to work.
    I assume that you use the paid bundle.
    Hi
    Should work, maybe some embedded DRM? Can you upload a sample somewhere? lame/faad2 combo should be able to convert.

    Yes, been using paid version for a number of years now, codec-bundle, handbrake and libdvdcss2 (3 rpms total) and all my multimedia requirements are met.....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •